import request from '@/utils/request'

// 查询订单信息列表
export function listProdOrderInfo(query) {
  return request({
    url: '/mes/prod/prodOrderInfo/list',
    method: 'get',
    params: query
  })
}

// 查询订单信息详细
export function getProdOrderInfo(objId) {
  return request({
    url: '/mes/prod/prodOrderInfo/' + objId,
    method: 'get'
  })
}

// 新增订单信息
export function addProdOrderInfo(data) {
  return request({
    url: '/mes/prod/prodOrderInfo',
    method: 'post',
    data: data
  })
}

// 修改订单信息
export function updateProdOrderInfo(data) {
  return request({
    url: '/mes/prod/prodOrderInfo',
    method: 'put',
    data: data
  })
}

// 删除订单信息
export function delProdOrderInfo(objId) {
  return request({
    url: '/mes/prod/prodOrderInfo/' + objId,
    method: 'delete'
  })
}
